package com.yuchen.saas.park.service.service.fire.inspect;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.fire.inspect.FireInspectFormReqDTO;
import com.yuchen.saas.park.api.dto.fire.inspect.FireInspectFormSubmitReqDTO;
import com.yuchen.saas.park.api.entity.fire.inspect.SaasParkFireInspectForm;
import com.yuchen.saas.park.api.vo.fire.inspect.FireInspectFormVO;
import org.nest.springwrap.core.mp.support.NestPage;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhouhanwei
 * @since 2024-04-01
 */
public interface ISaasParkFireInspectFormService extends IService<SaasParkFireInspectForm> {

    NestPage<FireInspectFormVO> findFireInspectFormPage(FireInspectFormReqDTO reqDTO);

    FireInspectFormVO getFireInspectTypeById(Long inspectFormId);

    Boolean addFireInspectForm(FireInspectFormSubmitReqDTO reqDTO);

    Boolean editFireInspectForm(FireInspectFormSubmitReqDTO reqDTO);

    Boolean removeFireInspectForm(Long inspectFormId);
}
